<%@ page import="java.io.*" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Locale" %>
<%@ page import="java.text.NumberFormat" %>

<%
  String stampaFlag=request.getParameter("stampa");
  
  if(stampaFlag==null)
        stampaFlag="2";

  String prodottiPath=getServletContext().getRealPath("")+"/MyShop/prodotti.txt";
  BufferedReader input=null;
  String linea=null;
  boolean carrelloVuoto=true;
  int qtProdotto=0;
  Vector prodotti=new Vector();

  try {
         input=new BufferedReader(new FileReader(prodottiPath));

         while((linea = input.readLine()) != null) {
                 prodotti.addElement(linea);
         }

         input.close();
  } catch (IOException e) { }

  String carrello=(String)session.getValue("MyShop.Carrello");
  
  if(carrello==null) {
          carrello="carrello"+session.getId()+".txt";
          session.putValue("MyShop.Carrello",carrello);
  }

  String filePath=getServletContext().getRealPath("")+"/WEB-INF/data/"+carrello;

  if(!stampaFlag.equals("1")) {
        String idProdotto=request.getParameter("pid");
  
        try {
                qtProdotto = Integer.parseInt(request.getParameter("qt"));
        } catch (NullPointerException e) {
                qtProdotto=0;
        } catch (NumberFormatException e) {
                qtProdotto=0;
        }
  
        if(qtProdotto>0) {
                boolean prodottoNelCarrello=false;

                try {
                        input=new BufferedReader(new FileReader(filePath));

                        while((linea = input.readLine()) != null) {
                                String[] campi = linea.split("#");
                                carrelloVuoto=false;

                                if(idProdotto.equals(campi[0])) {
                                        prodottoNelCarrello=true;
                                        break;
                                }

                        }

                        input.close();
                } catch (IOException e) { }
        
                try {

                        if(!prodottoNelCarrello) {
                                BufferedWriter output=new BufferedWriter(new FileWriter(filePath,true));
	                        output.write(idProdotto+"#"+(new Integer(qtProdotto)).toString()+"\n");
	                        output.close();
                                carrelloVuoto=false;
	                }

                } catch (IOException e) { }


          }

  }
  else {

        try {
                input=new BufferedReader(new FileReader(filePath));
                carrelloVuoto=input.readLine() == null;
                input.close();
        } catch (IOException e) { }

  }
%>

<html>
<%@ include file="heading.jsp" %>
<body>
<table width="100%" border="0">
  <tr>
    <td colspan="2" class="blubg">
      <%@ include file="banner.jsp" %>
    </td>
  </tr>
  <tr>
    <td width="10%" class="blubg" valign="top">
      <%@ include file="menu.jsp" %>
    </td>
    <td align="center" width="90%">
      <%
        if(qtProdotto<=0 && !stampaFlag.equals("1")) {
      %>
          <div class="errore">&nbsp;</div>
          <div class="errore">Errore:<br>La quantit&agrave; del prodotto deve essere un numero intero maggiore o uguale a 1.<br><br><a href="javascript:window.history.go(-1)">Riprova.</a></div>
          <div class="errore">&nbsp;</div>
      <%
        }
        else {
        
          if(carrelloVuoto) {
      %>
            <div class="intestazione">&nbsp;</div>
            <div class="intestazione">Il tuo carrello &egrave; vuoto!</div>
            <div class="intestazione">&nbsp;</div>
      <%
          }
          else {
      %>
            <div class="intestazione">&nbsp;</div>
            <div class="intestazione">Il contenuto del tuo carrello &egrave;:</div>
            <div class="intestazione">&nbsp;</div>
            <form method="post" action="aggiorna.jsp">
            <table border="0" cellpadding="5">
              <tr>
                <td class="intestazione_tabella">
                  Prodotto
                </td>
                <td class="intestazione_tabella">
                  Descrizione
                </td>
                <td class="intestazione_tabella">
                  Prezzo unitario (&euro;)
                </td>
                <td class="intestazione_tabella">
                  Quantit&agrave;
                </td>
                <td class="intestazione_tabella">
                  Prezzo totale (&euro;)
                </td>
                <td class="intestazione_tabella">
                </td>
              </tr>
              <%
                  input=new BufferedReader(new FileReader(filePath));
                  int riga=0;
                  NumberFormat fmt=NumberFormat.getInstance(Locale.ITALIAN);
                  fmt.setMinimumFractionDigits(2);
                  fmt.setMaximumFractionDigits(2);
                  fmt.setParseIntegerOnly(false);
  
                  while((linea = input.readLine()) != null) {
                     riga++;
                     String[] celle = linea.split("#");
                     Enumeration e=prodotti.elements();
                     
                     while(e.hasMoreElements()) {
                        String p=(String)e.nextElement();

                        if(p.indexOf(celle[0]+"#")==0) {
                          String[] campi=p.split("#");
              %>
                          <tr>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= campi[1]%></td>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= campi[2]%></td>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= fmt.format(Float.parseFloat(campi[3].replace(',','.')))%></td>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'>
                              <input type="hidden" name="id<%= riga%>" value="<%= celle[0]%>">
                              <input type="text" name="qt<%= riga%>" value="<%= celle[1]%>" size="2">
                            </td>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= fmt.format(Float.parseFloat(campi[3].replace(',','.'))*Integer.parseInt(celle[1]))%></td>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><a href="elimina.jsp?id=<%= celle[0]%>"><img src="images/cestino.gif" border="0"></a></td>
                          </tr>
              <%
                          break;
                        }

                     }

                  }
        
                  input.close();
              %>
              <tr>
                <td colspan="6" align="right">
                  <input type="hidden" name="righe" value="<%= riga%>">
                  <input type="submit" value="Aggiorna le quantit&agrave; &gt;&gt;">
                </td>
              </tr>
            </table>
            </form>
            <form method="post" action="svuota.jsp">
            <table>
              <tr>
                <td>
                  <input type="submit" value="Svuota il carrello &gt;&gt;">
                </td>
              </tr>
            </table>
            </form>
      <%
          }

        }
      %>
    </td>
  </tr>
  <tr>
    <td colspan="2">
      <%@ include file="footer.jsp" %>
    </td>
  </tr>
</table>
<body>

</html>